#![allow(non_camel_case_types)]
#![allow(non_upper_case_globals)]
#[derive(Debug, Clone, Copy, PartialEq, Eq, Hash)]
#[repr(i32)]
pub enum EPersonaState {
    Offline = 0,
    Online = 1,
    Busy = 2,
    Away = 3,
    Snooze = 4,
    LookingToTrade = 5,
    LookingToPlay = 6,
    Invisible = 7,
}

impl EPersonaState {
    pub fn from_i32(val: i32) -> Option<Self> {
        match val {
            x if x == Self::Offline as i32 => Some(Self::Offline),
            x if x == Self::Online as i32 => Some(Self::Online),
            x if x == Self::Busy as i32 => Some(Self::Busy),
            x if x == Self::Away as i32 => Some(Self::Away),
            x if x == Self::Snooze as i32 => Some(Self::Snooze),
            x if x == Self::LookingToTrade as i32 => Some(Self::LookingToTrade),
            x if x == Self::LookingToPlay as i32 => Some(Self::LookingToPlay),
            x if x == Self::Invisible as i32 => Some(Self::Invisible),
            _ => None,
        }
    }
}
